/// <reference types="react" />
import * as React from "react";
import { ArenaSceneLoadMotionProps, ArenaSceneLoadMotionConnectedProps, ExtendedMotionStyles, CombinedStyleCalculator } from "./types";
export declare type InnerState = {
    initStyles: ExtendedMotionStyles;
    styleCalculator: CombinedStyleCalculator;
    playElement: React.ReactElement<{}> | null;
};
export default class ArenaSceneLoadMotion extends React.Component<ArenaSceneLoadMotionProps & ArenaSceneLoadMotionConnectedProps, InnerState> {
    componentWillMount(): void;
    componentWillReceiveProps(nextProps: ArenaSceneLoadMotionProps & ArenaSceneLoadMotionConnectedProps): void;
    render(): JSX.Element;
}
