import ArenaActionTypes from "../../ActionTypes";
import ActionTypes from "./ActionTypes";
import AnimationPhase from "./AnimationPhase";
import { SceneBundleThunk, State } from "./types";
export declare function setState(state: State): {
    type: ArenaActionTypes;
    state: State;
};
export declare function nextPhase(phase: AnimationPhase): {
    type: ActionTypes;
    phase: AnimationPhase;
};
export declare function startLeaving(): {
    type: ActionTypes;
};
export declare function loadSceneBundle(sceneBundleThunk: SceneBundleThunk): {
    type: ActionTypes;
    sceneBundleThunk: SceneBundleThunk;
};
declare const _default: {
    setState: (state: State) => {
        type: ArenaActionTypes;
        state: State;
    };
    nextPhase: (phase: AnimationPhase) => {
        type: ActionTypes;
        phase: AnimationPhase;
    };
    startLeaving: () => {
        type: ActionTypes;
    };
    loadSceneBundle: (sceneBundleThunk: SceneBundleThunk) => {
        type: ActionTypes;
        sceneBundleThunk: SceneBundleThunk;
    };
};
export default _default;
