/// <reference types="react" />
import * as React from "react";
import * as PropTypes from "prop-types";
import { ArenaSceneProps, ArenaSceneState, ArenaSceneContext } from "./types";
export default class ArenaScene<SP, SS> extends React.Component<ArenaSceneProps<SP, SS>, ArenaSceneState> {
    static contextTypes: {
        store: PropTypes.Requireable<any>;
        arenaReducerDict: PropTypes.Requireable<any>;
    };
    componentWillMount(): void;
    componentWillReceiveProps(nextProps: ArenaSceneProps<SP, SS>, nextContext: ArenaSceneContext): void;
    render(): React.SFCElement<any>;
}
