var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
import { bundleToComponent } from "../../tools";
import ArenaSceneLoadMotion from "./ArenaSceneLoadMotion";
import actions from "./actions";
import saga from "./saga";
import reducer from "./reducer";
import state from "./state";
export default bundleToComponent({
    Component: ArenaSceneLoadMotion,
    actions: actions,
    reducer: reducer,
    saga: saga,
    state: state,
    propsPicker: function (state, actions, allState, _a) {
        var _arenaScene = _a._arenaScene;
        return (__assign({}, state, { actions: actions, reducerKey: _arenaScene.reducerKey }));
    },
    options: {
        vReducerKey: "_arenaSceneAnimation"
    }
});
